## EMailAuthenticator EMailAuthenticator |

## Synopsis

    struct              EMailAuthenticator;
    ESourceAuthenticator * e_mail_authenticator_new         (CamelService *service,
                                                             const gchar *mechanism);
    CamelService *      e_mail_authenticator_get_service    (EMailAuthenticator *auth);
    const gchar *       e_mail_authenticator_get_mechanism  (EMailAuthenticator *auth);

## Object Hierarchy

      GObject
       +----EMailAuthenticator

## Implemented Interfaces

EMailAuthenticator implements ESourceAuthenticator.

## Properties

      "mechanism"                gchar*                : Read / Write / Construct Only
      "service"                  CamelService*         : Read / Write / Construct Only

## Description

## Details

### struct EMailAuthenticator

    struct EMailAuthenticator;

Contains only private data that should be read and manipulated using the functions below.

### e_mail_authenticator_new ()

    ESourceAuthenticator * e_mail_authenticator_new         (CamelService *service,
                                                             const gchar *mechanism);

### e_mail_authenticator_get_service ()

    CamelService *      e_mail_authenticator_get_service    (EMailAuthenticator *auth);

### e_mail_authenticator_get_mechanism ()

    const gchar *       e_mail_authenticator_get_mechanism  (EMailAuthenticator *auth);

## Property Details

### The `"mechanism"` property

      "mechanism"                gchar*                : Read / Write / Construct Only

Authentication mechanism.

Default value: NULL

### The `"service"` property

      "service"                  CamelService*         : Read / Write / Construct Only

The CamelService to authenticate.